Subject: Re: B20.1 Automatic carriage return
From: [email-masked] ($Bill Luebkert)

31 Dec 1998 18:56:11 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Mumit Khan <[email-masked]>
Cc: Cheung Chi Man <[email-masked]>, [email-masked]

Mumit Khan wrote:
> 
> "Cheung Chi Man" <[email-masked]> writes:
> >    I use Cygwin B20.1, under WIndows 95, to compile my C++ program.
> > However, I found that a carriage return occur even if I have no
> > intention to do.
> >    For example, my program (test.cpp):
> >       #include <iostream>
> >       void main()
> >       { int number;
> >         cout<<" Please input a number ";
> >         cin>>number;
> >         cout<<number<<" is your input number";
> >       }
> >    When I compile it and run the prgram, it occur as follow :
> >    ------- screen shot -------
> >    BASH.EXE-2.02$g++ -o test test.cpp
> >    BASH.EXE-2.02$./test.exe
> >    Please input a number
> >    13
> >    13 is your input number BASH.EXE-2.02$
> >    ------- screen shot end ------
> >    It automatically make a carriage return !! Is there something
> > worng ?
> >
> 
> The carriage return comes from when you hit <cr> after you enter the
> number.
> 
> It's not a bug, but expected behaviour. To do otherwise, ie., to swallow
> the <cr>, you need to use one of the terminal packages (eg., curses).

I'm not positive, but I think he's referring to the <cr> before the 13, 
not after.  The one after "number".  My guess is he wanted the number 
to be input on the same line as the prompt.

-- 
  ,-/-  __      _  _         $Bill Luebkert   ICQ=14439852
 (_/   /  )    // //       DBE Collectibles   http://www.wgn.net/~dbe/
  / ) /--<  o // //      Mailto:[email-masked]   V3: http://come.to/dbe
-/-' /___/_<_</_</_    http://www.freeyellow.com/members/dbecoll/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".